Index: src/GuiConsole.h
===================================================================
--- src/GuiConsole.h	(revision 599)
+++ src/GuiConsole.h	(working copy)
@@ -38,16 +38,16 @@
     virtual void unregisterEvents() {};
 
     void loadHistory();
-    void addHistory(const Ogre::UTFString& cmd);
+    void addHistory(const MyGUI::UString& cmd);
     void clearHistory();
 
-    void processCommand(const Ogre::UTFString& cmd);
+    void processCommand(const MyGUI::UString& cmd);
 
     bool m_resumeRequested, m_quitRequested;
     string m_script;
     string m_command;
 
-    static vector<Ogre::UTFString> m_commands;
+    static vector<MyGUI::UString> m_commands;
     static string m_history;
 
     MyGUI::EditPtr     m_listHistory;
Index: src/GameState.h
===================================================================
--- src/GameState.h	(revision 599)
+++ src/GameState.h	(working copy)
@@ -4,7 +4,7 @@
 #ifndef GameState_H
 #define GameState_H
 
-#include <OISEvents.h>
+#include <OIS/OISEvents.h>
 #include "GameManager.h"
 
 
Index: src/GuiConsole.cpp
===================================================================
--- src/GuiConsole.cpp	(revision 599)
+++ src/GuiConsole.cpp	(working copy)
@@ -6,7 +6,7 @@
 
 
 // We keep the list of typed commands between 2 console calls
-vector<Ogre::UTFString> GuiConsole::m_commands;
+vector<MyGUI::UString> GuiConsole::m_commands;
 string GuiConsole::m_history;
 
 
@@ -62,7 +62,7 @@
 */
 void GuiConsole::loadHistory()
 {
-    for (vector<Ogre::UTFString>::iterator iter = m_commands.begin(); iter != m_commands.end(); iter++)
+    for (vector<MyGUI::UString>::iterator iter = m_commands.begin(); iter != m_commands.end(); iter++)
     {
         m_comboCommand->addItem(*iter);
     }
@@ -73,7 +73,7 @@
 /**
     Add a new command to history
 */
-void GuiConsole::addHistory(const Ogre::UTFString& cmd)
+void GuiConsole::addHistory(const MyGUI::UString& cmd)
 {
     m_commands.push_back(cmd);
 
@@ -134,7 +134,7 @@
 /**
     Execute a command
 */
-void GuiConsole::processCommand(const Ogre::UTFString& cmd)
+void GuiConsole::processCommand(const MyGUI::UString& cmd)
 {
     bool ok = false;
 
Index: src/GameManager.h
===================================================================
--- src/GameManager.h	(revision 599)
+++ src/GameManager.h	(working copy)
@@ -3,8 +3,12 @@
 
 #include <string>
 #include <vector>
-#include <OgreSingleton.h>
-#include <OgreSceneManager.h>
+#include <OGRE/OgreSingleton.h>
+#include <OGRE/OgreSceneManager.h>
+#include <OGRE/OgreFrameListener.h>
+#include <OIS/OISMouse.h>
+#include <OIS/OISKeyboard.h>
+
 #include "InputManager.h"
 
 
Index: src/GuiState.h
===================================================================
--- src/GuiState.h	(revision 599)
+++ src/GuiState.h	(working copy)
@@ -2,7 +2,7 @@
 #define GuiState_H
 
 #include <string>
-#include <OgreString.h>
+#include <OGRE/OgreString.h>
 #include <OIS/OISEvents.h>
 #include "GameState.h"
 
Index: src/InputManager.h
===================================================================
--- src/InputManager.h	(revision 599)
+++ src/InputManager.h	(working copy)
@@ -5,7 +5,8 @@
 #include <OIS/OISKeyboard.h>
 #include <OIS/OISJoyStick.h>
 #include <OIS/OISInputManager.h>
-#include <OgreRenderWindow.h>
+#include <OGRE/OgreRenderWindow.h>
+#include <OGRE/OgrePrerequisites.h>
 
 class InputManager : public OIS::KeyListener, public OIS::MouseListener, public OIS::JoyStickListener {
 public:
Index: src/myguiWrapper/UiManager.cpp
===================================================================
--- src/myguiWrapper/UiManager.cpp	(revision 599)
+++ src/myguiWrapper/UiManager.cpp	(working copy)
@@ -22,7 +22,8 @@
 void UiManager::initialize()
 {
     m_gui = new MyGUI::Gui();
-    m_gui->initialise(m_renderWindow, "core.xml");
+    //FIXME not present in mygui r2332 m_gui->initialise(m_renderWindow, "core.xml");
+    m_gui->initialise("core.xml");
 }
 
 #if 0
@@ -78,7 +79,8 @@
 {
     if(m_gui)
     {
-        m_gui->injectKeyPress(arg);
+        //XXX not available in MyGUI r2332 m_gui->injectKeyPress(arg);
+        m_gui->injectKeyPress(MyGUI::KeyCode::Enum(arg.key), arg.text);
     }
 }
 
@@ -86,14 +88,16 @@
 {
     if(m_gui)
     {
-        m_gui->injectKeyRelease(arg);
+        //XXX not available in MyGUI r2332 m_gui->injectKeyRelease(arg);
+	m_gui->injectKeyRelease(MyGUI::KeyCode::Enum(arg.key));
     }
 }
 void UiManager::injectMouseMove(const OIS::MouseEvent& arg)
 {
     if(m_gui)
     {
-        m_gui->injectMouseMove(arg);
+        //XXX not available in MyGUI r2332 m_gui->injectMouseMove(arg);
+        m_gui->injectMouseMove(arg.state.X.abs, arg.state.Y.abs, arg.state.Z.abs);
     }
 }
 
@@ -101,7 +105,8 @@
 {
     if(m_gui)
     {
-        m_gui->injectMousePress(arg, id);
+        //XXX not available in MyGUI r2332 m_gui->injectMousePress(arg, id);
+        m_gui->injectMousePress(arg.state.X.abs, arg.state.Y.abs, MyGUI::MouseButton::Enum(id));
     }
 }
 
@@ -109,7 +114,8 @@
 {
     if(m_gui)
     {
-        m_gui->injectMouseRelease(arg, id);
+        //XXX not available in MyGUI r2332 m_gui->injectMouseRelease(arg, id);
+        m_gui->injectMouseRelease(arg.state.X.abs, arg.state.Y.abs, MyGUI::MouseButton::Enum(id));
     }
 }
 
Index: src/myguiWrapper/UiManager.h
===================================================================
--- src/myguiWrapper/UiManager.h	(revision 599)
+++ src/myguiWrapper/UiManager.h	(working copy)
@@ -2,7 +2,12 @@
 #define UIMANAGER_H_
 
 #include <MyGUI_Gui.h>
-#include <OgreSingleton.h>
+#include <OIS/OISMouse.h>
+#include <OIS/OISKeyboard.h>
+#include <OIS/OISJoyStick.h>
+#include <OIS/OISInputManager.h>
+#include <OGRE/OgreSingleton.h>
+#include <OGRE/OgreStringVector.h>
 
 /**
     UI Manager class: abstraction of the GUI framework
Index: src/GuiDialogue.h
===================================================================
--- src/GuiDialogue.h	(revision 599)
+++ src/GuiDialogue.h	(working copy)
@@ -37,7 +37,7 @@
 private:
     MyGUI::EditPtr m_outputText;
     MyGUI::ListPtr m_responseList;
-    Ogre::UTFString m_dialogue; // All dialogue that has already been spoken
+    MyGUI::UString m_dialogue; // All dialogue that has already been spoken
 };
 
 #endif // GUIDIALOGUE_H
Index: src/MainmenuState.cpp
===================================================================
--- src/MainmenuState.cpp	(revision 599)
+++ src/MainmenuState.cpp	(working copy)
@@ -49,7 +49,7 @@
 void MainmenuState::resume()
 {
     /* For test only: normally we never resume to this state */
-    MyGUI::LayerManager::getInstance().setSceneManager(m_sceneMgr);
+    //FIXME not available in mygui r2332 MyGUI::LayerManager::getInstance().setSceneManager(m_sceneMgr);
     updateMenuState();
 }
 
Index: src/YamlUtils.h
===================================================================
--- src/YamlUtils.h	(revision 599)
+++ src/YamlUtils.h	(working copy)
@@ -12,4 +12,4 @@
 void operator >> (const YAML::Node& node, Ogre::Quaternion& q);
 YAML::Emitter& operator << (YAML::Emitter& out, const Ogre::Quaternion& q);
 
-#endif
\ No newline at end of file
+#endif
Index: bin/linux/plugins.cfg
===================================================================
--- bin/linux/plugins.cfg	(revision 586)
+++ bin/linux/plugins.cfg	(working copy)
@@ -1,7 +1,7 @@
 # Defines plugins to load
 
 # Define plugin folder
-PluginFolder=/usr/lib/OGRE
+PluginFolder=/usr/lib64/OGRE
 
 # Define plugins
 Plugin=RenderSystem_GL
